<?php
/*******************************************************************************
################################################################################
# $Id: dpagebreak.php 2010-10-31
# DPagebreak Editor Button - DHTML document pagebreak editor button plugin
# Copyright (C) 2010 gWorldz ~cXc~ All rights reserved.
# License http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php
################################################################################
*******************************************************************************/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgButtonDPStyle extends JPlugin
{
	function plgButtonDPStyle(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}

	function onDisplay($name)
	{
		global $mainframe;
		
		// Load the plugin language file
		$this->loadLanguage( 'plg_'.$this->_type.'_'.$this->_name, JPATH_ADMINISTRATOR );
		
		$getContent = $this->_subject->getContent($name);
		$present = JText::_('DPSTYLE_EXT_EXISTS', true) ;
		$js =  "                     
		function buttonDPStyleClick(editor) {
			var content = $getContent
			if (content.match(/{tocstyle\s*.*?}/i)) {
				alert('$present');
				return false;
			} else {
				tocstyle = prompt('";
		$js .=  JText::_('DPSTYLE_EXT_PROMPT');
		$js .=  '\n\n';
		$js .=  JText::_('DPSTYLE_EXT_DEFAULT');
		$js .=  '\n\n';
		$js .=  JText::_('DPSTYLE_EXT_EXAMPLE');
		$js .=  '\n\n';
		$js .=  JText::_('DPSTYLE_EXT_SYNTAX');
		$js .=  '\n\n';
		$js .=  "','Default-List');
			if(!tocstyle) return;
				jInsertEditorText('<span class=\"dptoctag\"><span style=\"display:block\">{tocstyle '+tocstyle+'}</span></span>', editor);
			}
		}";
		$css = ".button2-left .dpstyle {
			background: transparent url(/plugins/editors-xtd/img/dpstyle.png) no-repeat 100% 0px;
		}
		.button2-left .dpstyle a:visited {
			text-decoration:none;
		}";
		$doc = & JFactory::getDocument();
		$doc->addScriptDeclaration($js);
		$doc->addStyleDeclaration($css);

		$button = new JObject();
		$button->set('modal', false);
		$button->set('onclick', 'buttonDPStyleClick(\''.$name.'\');return false;');
		$button->set('text', JText::_('DPSTYLE_EXT_BTEXT'));
		$button->set('name', 'dpstyle');
		$button->set('link', '#');

		return $button;
	}
}